-- options menu
-------------------------------------------------------------------
function OnShow()
    s.sys_menu_opt_game=1
end

function OnCreate()
    s.sys_menu_opt_game=1
end

function OnDestroy()
    s.sys_menu_opt_game=0
end

function OnHide()
    s.sys_menu_opt_game=0
end
--------------------------------------------------------------------
--button
function btnBackMenu()
--[[
    UI:DelWidget("menu_opt")
    UI:DelWidget("menu_save")
    UI:DelWidget("menu_load")
    UI:DelWidget("menu_movies")
    UI:DelWidget("menu_credits")
    UI:AddWidget("menu.layout")
   ]]
    MainMenu:SetVisible(true)
    self:SetVisible(false)
end

function btnGoOptSnd()
    --UI:AddWidget("opt_snd.layout")
    --UI:DelWidget("menu_opt")
    OpenSoundSettings()
    MenuSettings:SetVisible(false)
end

function btnGoOptGfx()
--[[
    UI:AddWidget("opt_gfx.layout")
    UI:DelWidget("menu_opt")
    ]]
    OpenGfxSettings()
    MenuSettings:SetVisible(false)
end

--------------------------------------------------------------------